#pragma once
// Hopefully this goes without saying - don't edit this file.
#include <string>
#include <vector>

#define EXP __declspec(dllexport)

class SAvector;
class SAxform;

class Messenger
{
public:
	// stuff from SA
	// derive your own Messenger from this so you can override all these "...FromSA" handlers

	EXP Messenger(void);
	EXP virtual ~Messenger();

	EXP virtual void CollectionGroupTargetNamesFromSA(std::string c, std::string g, std::string t);

	EXP virtual bool BeginMeasureMessageFromSA();
	EXP virtual bool StopMeasureMessageFromSA();

	EXP virtual bool BatchMeasPointsFromSA(std::vector<std::string> c, std::vector<std::string> g, std::vector<std::string> t, std::vector<SAvector> nomPt);

	EXP virtual bool OpCheckCommandFromSA(std::string Command);
};

